Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.controller.model
Class StageContext

    java.lang.Object
      com.intel.cosbench.controller.model.StageContext

All Implemented Interfaces:
  Benchmark, LifeCycle, StageInfo

    public class StageContext

extends java.lang.Object
implements StageInfo

This class encapsulates one work stage.

Author:
  ywang19

Constructor Summary
`StageContext()`

Method Summary
`void` | `addListener(StageListener listener)`
`void` | `disposeRuntime()`
`java.lang.String` | `getId()`
`int` | `getInterval()`
`java.util.Set<java.lang.String>` | `getOperations()`
`Report` | `getReport()`
`ScheduleRegistry` | `getScheduleRegistry()`
`Snapshot` | `getSnapshot()`
`Snapshot[]` | `getSnapshots()`
`Stage` | `getStage()`
`StageState` | `getState()`
`StateInfo[]` | `getStateHistory()`
`int` | `getTaskCount()`
`TaskInfo[]` | `getTaskInfos()`
`TaskRegistry` | `getTaskRegistry()`
`int` | `getWorkCount()`
`int` | `getWorkerCount()`
`void` | `makeSnapshot()`
`void` | `setId(java.lang.String id)`
`void` | `setInterval(int interval)`
`void` | `setReport(Report report)`
`void` | `setScheduleRegistry(ScheduleRegistry scheduleRegistry)`
`void` | `setStage(Stage stage)`
`void` | `setState(StageState state)`
`void` | `setTaskRegistry(TaskRegistry taskRegistry)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StageContext

    public StageContext()

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `StageInfo`

### setId

    public void setId(java.lang.String id)

### getState

    public StageState getState()

  Specified by:
    `getState` in interface `StageInfo`

### setState

    public void setState(StageState state)

### getStateHistory

    public StateInfo[] getStateHistory()

  Specified by:
    `getStateHistory` in interface `StageInfo`

### getStage

    public Stage getStage()

  Specified by:
    `getStage` in interface `StageInfo`

### setStage

    public void setStage(Stage stage)

### getWorkCount

    public int getWorkCount()

  Specified by:
    `getWorkCount` in interface `StageInfo`

### getWorkerCount

    public int getWorkerCount()

  Specified by:
    `getWorkerCount` in interface `StageInfo`

### getOperations

    public java.util.Set<java.lang.String> getOperations()

  Specified by:
    `getOperations` in interface `StageInfo`

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in interface `StageInfo`

### setInterval

    public void setInterval(int interval)

### getScheduleRegistry

    public ScheduleRegistry getScheduleRegistry()

### setScheduleRegistry

    public void setScheduleRegistry(ScheduleRegistry scheduleRegistry)

### getTaskRegistry

    public TaskRegistry getTaskRegistry()

### getTaskCount

    public int getTaskCount()

  Specified by:
    `getTaskCount` in interface `StageInfo`

### getTaskInfos

    public TaskInfo[] getTaskInfos()

  Specified by:
    `getTaskInfos` in interface `StageInfo`

### setTaskRegistry

    public void setTaskRegistry(TaskRegistry taskRegistry)

### getSnapshot

    public Snapshot getSnapshot()

  Specified by:
    `getSnapshot` in interface `Benchmark`

### getReport

    public Report getReport()

  Specified by:
    `getReport` in interface `Benchmark`

### setReport

    public void setReport(Report report)

### getSnapshots

    public Snapshot[] getSnapshots()

  Specified by:
    `getSnapshots` in interface `StageInfo`

### makeSnapshot

    public void makeSnapshot()

### addListener

    public void addListener(StageListener listener)

### disposeRuntime

    public void disposeRuntime()

  Specified by:
    `disposeRuntime` in interface `LifeCycle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD